/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package baka.gui;

/**
 *
 * @author madda
 */
public class Datovod {

    DatovodPoint startPoint;
    DatovodPoint endPoint;
    int type;

    public Datovod(DatovodPoint startPoint, DatovodPoint endPoint,int type) {
        this.startPoint = startPoint;
        this.endPoint = endPoint;
        this.type = type;
    }

    public String toString(){
        return "Datovod : start: "+startPoint+" end: "+endPoint;
    }

    public DatovodPoint getStartPoint() {
        return startPoint;
    }

    public DatovodPoint getEndPoint() {
        return endPoint;
    }

    public int getType(){
        return this.type;
    }

    @Override
    public boolean equals(Object obj) {
        if(this == obj){
            return true;
        }
        if(!(obj instanceof Datovod)){
            return false;
        }
        Datovod that = (Datovod) obj;
        if(that.getStartPoint().equals(this.getStartPoint()) && that.getEndPoint().equals(this.getEndPoint())){
            return true;
        }
        return false;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 23 * hash + (this.startPoint != null ? this.startPoint.hashCode() : 0);
        hash = 23 * hash + (this.endPoint != null ? this.endPoint.hashCode() : 0);
        return hash;
    }



    


}
