package baka.gui;

import java.awt.dnd.DropTargetDragEvent;
import java.awt.dnd.DropTargetDropEvent;
import java.awt.dnd.DropTargetEvent;
import java.awt.dnd.DropTargetListener;

/**
 *  Trieda ktora ziskava informaciu o koordinatoch dropu noveho bloku do plochy.
 * @author Adam Poldauf
 */
class GraphicCanvasDropTargetListener implements DropTargetListener {

    GraphicCanvas owner;

    public GraphicCanvasDropTargetListener(GraphicCanvas ref){
        this.owner = ref;
    }

    public void dragEnter(DropTargetDragEvent dtde) {
    }

    public void dragOver(DropTargetDragEvent dtde) {
    }

    public void dropActionChanged(DropTargetDragEvent dtde) {
    }

    public void dragExit(DropTargetEvent dte) {
    }

    public void drop(DropTargetDropEvent dtde) {
        owner.moveLastAddedBlock(dtde.getLocation());
    }
}
