/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package baka.gui;

/**
 *
 * @author madda
 */
public class DatovodPoint {

    int blockId;
    int inputId;
    int outputId;

    public DatovodPoint() {
        this(-1, -1, -1);
    }

    public DatovodPoint(int blockId, int inputId, int outputId) {
        this.blockId = blockId;
        this.inputId = inputId;
        this.outputId = outputId;
    }

    public boolean isEmpty() {
        if ((this.blockId == -1) && (this.inputId == -1) && (this.outputId == -1)) {
            return true;
        } else {
            return false;
        }
    }

    public String toString() {
        String ret = "";
        ret += "Datovod point : blockId: " + this.blockId + " inpudId: " + this.inputId + " outputId: " + this.outputId;
        return ret;
    }

    public int getBlockId() {
        return blockId;
    }

    public int getInputId() {
        return inputId;
    }

    public int getOutputId() {
        return outputId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (!(o instanceof DatovodPoint)) {
            return false;
        }
        DatovodPoint that = (DatovodPoint) o;
        if (that.getBlockId() == this.getBlockId() && that.getInputId() == this.getInputId() && that.getOutputId() == this.getOutputId()) {
            return true;
        }
        return false;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 97 * hash + this.blockId;
        hash = 97 * hash + this.inputId;
        hash = 97 * hash + this.outputId;
        return hash;
    }
}
